1. Forum używa plików Cookies. Dowiedz się więcej o celu ich używania i możliwości zmiany ustawień Cookies w przeglądarce. Czytaj więcej...

WordPress podnosi poprzeczkę... wymagane PHP 5.6

Dyskusja w 'Hyde Park' rozpoczęta przez użytkownika Grzesiek, 14 Wrzesień 2015.

  1. Grzesiek

    Grzesiek Centrum Pomocy home.pl Administrator forum

    Wiadomości:
    3 599
    Docenione treści:
    329
    O wersji PHP 5.6 zrobiło się głośno już spory czas temu. Aktualizacja i wypuszczenie najnowszej wersji było krokiem koniecznym dla użytkowników PHP, którzy poszukiwali nowych rozwiązań, bezpieczeństwa i stabilności działania. Szczególnie, że popularny i nadal często używany interpreter PHP w wersji 5.2 przestał być rozwijany.

    Przez cały czas wersja PHP 5.6 była i jest nadal dostępna w home.pl, chociaż dopiero niedawno (czytaj komunikat), zdecydowaliśmy się na dodanie opcji wyboru bezpośrednio w panelu administracyjnym.

    Dlaczego przywołujemy akurat dziś tą informację? Właśnie twórcy WordPress zaktualizowali "wymagania systemowego" dla swojego CMS, rekomendując właśnie wybór interpretera PHP w wersji 5.6:
    Warto przy okazji wspomnieć, że na listopad tego roku, przewidziane jest także pojawienie się PHP w wersji 7, która jak zapowiadają twórcy, ma być 2 x wydajniejsza od wersji 5.6. Na premierę, wdrożenie, testy i w końcu uruchomienie stabilnej wersji, przyjdzie nam jeszcze chwilę poczekać. Tym czasem wersja interpretera PHP 5.6 cieszy się ogromnym zainteresowaniem w sieci. Zachęcamy do zmiany.

    Jeśli zadajecie sobie pytanie, czy home.pl spełnia wszystkie kryteria rekomendowane przez WordPress, tj:
    • PHP 5.6 lub wyższa
    • MySQL 5.5 lub wyższa
    • Moduł mod_rewrite Apache
    Odpowiadamy: TAK! I przy okazji podrzucamy kilka artykułów z Centrum Pomocy.
    Miłego tworzenia stron!

     
    Ostatnia modyfikacja: 14 Wrzesień 2015
  2. Magdalenkaa

    Magdalenkaa Praktyk

    Wiadomości:
    30
    Docenione treści:
    6
    dobra, dobra, ale aktualizacja dotyczy wszystkich usług, w tym sklepów? Czyli teoretycznie jak wrzucę wordpressa razem ze sklepem i zmienię php to i tak powinnam odczuć różnicę? czemu domyślnie nie włączycie wszystkim od razu 5.6? że strony się posypią? czemu nie możecie mieć 7 przed innymi? :D
     
  3. Grzesiek

    Grzesiek Centrum Pomocy home.pl Administrator forum

    Wiadomości:
    3 599
    Docenione treści:
    329
    Tak. Interpreter PHP od 5.2 do 5.6 dostępny jest na wszystkich usługach, w tym na serwerach sklepów Click Shop. Zmiana, którą wprowadziliśmy kilka dni temu, dotyczy jedynie aktywacji w paneli administracyjnym dodatkowego przycisku do szybkiej aktywacji PHP 5.5 i 5.6. Poza tym nic się nie zmieniło.

    Zmiana wersji PHP w Panelu obejmuje globalną jej zmianę dla serwera. Zawsze, dla wybranego katalogu można zejść w dół. Opisane jest to we wskazanych artykułach pomocy.

    Ze względu na swoją specyfikę, globalna aktywacja PHP 5.6 na wszystkich serwerach, mogła by spowodować pojawienie się błędów na stronach WWW. Wbrew zapewnieniom autorów PHP o kompatybilności wstecznej, nie zawsze i nie wszystko działa jak trzeba. Niestety PHP 5.2 nadal cieszy się ogromną popularnością a co za tym idzie, korzysta z niego nadal wiele niezaktualizowanych CMS. A niestety, aktualizacja PHP wymusi prawdopodobnie także aktualizację CMS, do czego oczywiście zapraszamy. Głównie ze względów bezpieczeństwa.

    Czy zmiana będzie odczuwalna, gdyby spojrzeć od strony technicznej, tak. Od strony Kowalskiego, który właśnie popija kawę i przegląda strony - być może też, ale to już pozostawiam ocenie użytkowników.

    Wdrożenie każdego rodzaju aktualizacji wiąże się z całym procesem wdrożeniowym, począwszy od uruchomienia tego w środowisku testowym, poprzez stopniowe przejście na środowisko produkcyjne, czyli użytkowników. Mając na uwadze, że aktualizacje są wykonywane globalnie, a nie jak np. na serwerach dedykowanych tylko w obrębie jednej maszyny, jednego klienta, nie możemy pozwolić sobie na błędy. Często można spotkać się z opinią, że firmy hostingowe mają np. nieaktualne oprogramowanie serwerów. Często jest to podyktowane właśnie procedurą testową i oczekiwaniem na wdrożenie nie tyle najnowszej wersji, co stabilnej i bezpiecznej.

    Dlatego fajnie jest gdy firmy publikują Newsy o wdrożeniu nowego oprogramowania przed konkurencją, ale warto zawsze zachować pewien dystans i jeśli pozwalają na to umiejętności, przetestować samemu, czy aby na pewno jest to stabilne i bezpieczne. Dlatego nie wszystko na raz :)
     
  4. Magdalenkaa

    Magdalenkaa Praktyk

    Wiadomości:
    30
    Docenione treści:
    6
    Póki co u mnie wszystko działa. Powinnam teraz zadać pytanie, czy mam kupić nowy komputer aby odczuć zmiany? Ważne że działa, tym bardziej że na serwerze sklepu uruchamiam też bloga i osobną stronę z produktami. Zobaczymy co teraz WordPress da w zamian :D
     

Poleć forum znajomym